Last Comment Bug 693698 - 3rd Party add-ons from the application folder are not disabled on upgrade
: 3rd Party add-ons from the application folder are not disabled on upgrade
Status: VERIFIED FIXED
[qa!]
: verified-beta
Product: Toolkit
Classification: Components
Component: Add-ons Manager (show other bugs)
: 8 Branch
: x86 Windows 7
: -- normal with 1 vote (vote)
: mozilla10
Assigned To: Dave Townsend [:mossop]
:
Mentors:
: 693459 (view as bug list)
Depends on:
Blocks: 476430 596343
  Show dependency treegraph
 
Reported: 2011-10-11 11:13 PDT by Verdi [:verdi]
Modified: 2015-04-08 05:16 PDT (History)
30 users (show)
virgil.dicu: in‑litmus+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
fixed
+
fixed


Attachments
Add-ons before and after updating to Firefox 8 (472.45 KB, image/jpeg)
2011-10-11 11:13 PDT, Verdi [:verdi]
no flags Details
extensions.sqlite from the profile folder (384.00 KB, application/octet-stream)
2011-10-11 11:58 PDT, Verdi [:verdi]
no flags Details
The ubuntu addon was disabled on update (14.82 KB, image/png)
2011-10-11 16:22 PDT, Verdi [:verdi]
no flags Details
extensions.sqlite from the linux profile (384.00 KB, text/plain)
2011-10-11 16:25 PDT, Verdi [:verdi]
no flags Details
patch rev 1 (12.57 KB, patch)
2011-10-18 09:42 PDT, Dave Townsend [:mossop]
bmcbride: review+
christian: approval‑mozilla‑aurora+
christian: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Verdi [:verdi] 2011-10-11 11:13:03 PDT
Created attachment 566272 [details]
Add-ons before and after updating to Firefox 8

1. I did a clean install of Firefox 7.0b6 in Windows 7. It had a fresh profile. 
2. I then downloaded and installed a variety of programs that bundle Firefox add-ons:
* Skype - http://skype.com
* Weatherbug - http://weatherbug.com
* Free FLV player for Windows - http://applian.com/flvplayer/
* Advanced SystemCare - http://www.iobit.com/advancedsystemcareper.html
* PDFCreator - http://www.pdfforge.org/pdfcreator
* Defraggler - http://www.piriform.com/defraggler/download

3. After restarting Firefox 7 I had a lot of third party add-ons (some were disabled because they weren't compatible).
4. I updated Firefox 7 to Firefox 8. During the update process my add-ons were checked and none of them were identified as third party. All were checked to keep and to be active (some were deactivated because they weren't compatible)
5. Firefox 8 still has a lot of third party add-ons.

I have the Program directory and the profile zipped up. I can upload them if they'd be helpful.
Comment 1 Dave Townsend [:mossop] 2011-10-11 11:17:53 PDT
Can you attach a copy of extensions.sqlite from your profile.
Comment 2 Verdi [:verdi] 2011-10-11 11:58:45 PDT
Created attachment 566286 [details]
extensions.sqlite from the profile folder
Comment 3 Dave Townsend [:mossop] 2011-10-11 13:16:20 PDT
*** Bug 693459 has been marked as a duplicate of this bug. ***
Comment 4 Daniel Veditz [:dveditz] 2011-10-11 13:58:26 PDT
nom'ing for tracking Fx8 -- we should make sure this isn't broken before advertising it as a Firefox 8 feature.
Comment 5 Verdi [:verdi] 2011-10-11 16:22:59 PDT
Created attachment 566388 [details]
The ubuntu addon was disabled on update

I updated my Ubuntu VM from Fx 7 to 8 and the Ubuntu add-on was flagged as third party on upgrade.
Comment 6 Verdi [:verdi] 2011-10-11 16:25:39 PDT
Created attachment 566389 [details]
extensions.sqlite from the linux profile
Comment 7 Dave Townsend [:mossop] 2011-10-11 18:40:00 PDT
Thanks for the updates, the problems here are all because the third party add-ons are getting installed to the profile or application directory, I'm trying to work out whether it's possible to solve this problem.
Comment 8 Henrik Skupin (:whimboo) 2011-10-11 21:14:40 PDT
As mentioned by Dave over on bug 693459 he wants to have it also tracked for Aurora.
Comment 9 Henri Sivonen (:hsivonen) 2011-10-12 00:55:24 PDT
(In reply to Dave Townsend (:Mossop) from comment #7)
> Thanks for the updates, the problems here are all because the third party
> add-ons are getting installed to the profile or application directory, I'm
> trying to work out whether it's possible to solve this problem.

If all else fails, can we ship a list of extensions that we know are being installed by third parties even though they look from the point of view of the add-on management code like extensions the user has installed?
Comment 10 Dave Townsend [:mossop] 2011-10-13 13:45:46 PDT
For reference the following is the install location of all the add-ons listed in attachment 566286 [details]:

app-profile|Ask Toolbar
app-profile|Complitly - Speed up your search with your personal search suggestions tool
app-profile|Freecorder Toolbar
app-profile|YouTube Video Download Wizard
app-global|Default
app-global|Skype Click to Call
app-global|IObit Toolbar
app-global|pdfforge Toolbar
app-global|Widgi Toolbar Platform
Comment 11 Dave Townsend [:mossop] 2011-10-14 08:55:50 PDT
I'm splitting this up so this bug covers third-party add-ons in the application folder and bug 694575 covers those in the profile folder.
Comment 12 Dave Townsend [:mossop] 2011-10-18 09:42:56 PDT
Created attachment 567775 [details] [diff] [review]
patch rev 1

This makes the upgrade UI class any non-themes in the application directory as third party installs and updates the testcase to match. Distribution add-ons remain as they were.
Comment 14 Marco Bonardo [::mak] 2011-10-21 02:16:42 PDT
https://hg.mozilla.org/mozilla-central/rev/064189e08af2

adding [inbound] is no more needed (indeed it's actually discouraged)
Comment 15 Asa Dotzler [:asa] 2011-10-21 07:31:20 PDT
Comment on attachment 567775 [details] [diff] [review]
patch rev 1

I think we really want this for completeness in the feature. Yes, it's late. Without this change, we're far less effective when we help users disable unwanted add-ons.
Comment 16 Scoobidiver (away) 2011-10-22 01:06:51 PDT
If it's not approved for Aurora, those who will update from 3.6 to 9 won't have this change.
Comment 17 christian 2011-10-25 20:09:52 PDT
Comment on attachment 567775 [details] [diff] [review]
patch rev 1

---------------------------------[ Triage Comment ]---------------------------------

Approving for 8beta and 9aurora as this is a good fix for a new feature and was approved via in person conversations.

Please land ASAP.
Comment 19 Verdi [:verdi] 2011-10-26 13:21:47 PDT
This is awesome!!
Comment 20 Virgil Dicu [:virgil] [QA] 2011-11-25 05:06:33 PST
Mozilla/5.0 (Windows NT 6.1; rv:9.0) Gecko/20100101 Firefox/9.0
Mozilla/5.0 (Windows NT 5.1; rv:9.0) Gecko/20100101 Firefox/9.0

Verified in Firefox9Beta3, Firefox Aurora and Nightly on Windows XP, 7. Switched the shownselectionUI pref to enable the UI dialog after an upgrade. Used Pdfforce Tollbar, Widgi Toolbar Platform, AVG Safe search. All these are dsiplayed as Third Party in the selection dialog after an upgrade.

Note You need to log in before you can comment on or make changes to this bug.